import neopixel
from machine import Pin
import time

ws_pin = 0
led_zahl = 64
helligkeit = 0.1

matrix = neopixel.NeoPixel(Pin(ws_pin), led_zahl)

def setze_helligkeit(farbe):
    r, g, b = farbe
    r = int(r * helligkeit)
    g = int(g * helligkeit)
    b = int(b * helligkeit)
    return (r, g, b)

def schleife():
    # rot anzeigen
    farbe = (255, 0, 0)  # ROT
    farbe = setze_helligkeit(farbe)
    matrix.fill(farbe)
    matrix.write()
    time.sleep(2)

    # grün anzeigen
    farbe = (0, 255, 0)  # GRÜN
    farbe = setze_helligkeit(farbe)
    matrix.fill(farbe)
    matrix.write()
    time.sleep(2)

    # blau anzeigen
    farbe = (0, 0, 255)  # BLAU
    farbe = setze_helligkeit(farbe)
    matrix.fill(farbe)
    matrix.write()
    time.sleep(2)

while True:
    schleife()
    