import neopixel
from machine import Pin
import time

ws_pin = 0
led_zahl = 64
helligkeit = 0.05

matrix = neopixel.NeoPixel(Pin(ws_pin), led_zahl)

def setze_helligkeit(farbe):
    r, g, b = farbe
    r = int(r * helligkeit)
    g = int(g * helligkeit)
    b = int(b * helligkeit)
    return (r, g, b)

def setze_pixel(x, y, farbe):
    farbe = setze_helligkeit(farbe)
    i = y * 8 + x
    matrix[i] = farbe

i = 0
richtung = "vor"

while True:
    matrix.fill((0, 0, 0))
    
    if i == 0:
        richtung = "vor"
    if i == 7:
        richtung = "zurueck"

    if richtung == "vor":
        i = i+1
    elif richtung == "zurueck":
        i = i-1
    
    setze_pixel(i, 0, (255, 0, 0))
    setze_pixel(7, i, (0, 255, 0))
    setze_pixel(7-i, 7, (0, 0, 255))
    setze_pixel(0, 7-i, (255, 255, 0))
    
    matrix.write()
    time.sleep(0.2)
